#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x97,0x2A,0x33,0x92,0x52,0xB6,0x86,0xD0,0x46,0x10,0x00,0x30,
		0xCB,0x59,0xB4,0xC1,0x25,0x9B,0x13,0xD1,0x3E,0x90,0xD1,0x48,
		0xD7,0xCD,0xE9,0xD8,0x51,0x27,0xD8,0xB9,0x31,0x30,0x65,0x6E,
		0x55,0xBF,0x34,0x54,0x76,0x28,0x70,0x51,0xAA,0x56,0xCD,0x46,
		0x04,0x20,0x0D,0x26,0xCB,0xD1,0x33,0x79,0x54,0x5D,0x71,0x1F,
		0xA4,0xCC,0xB1,0x2B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
